Loading...
Searching...
No Matches
pfn_block Struct Reference

Contiguous block of pages. More...

## Data Fields

off_t | filepos
| absolute file offset
uint32_t | idx3
| level-3 index of first pfn in range
unsigned short | n
| number of pages
unsigned short | alloc
| allocated pages
uint32_t * | offs
| offsets from filepos
struct pfn_block * | next
| pointer to next block

## Detailed Description

Contiguous block of pages.

Storing only a 32-bit offset from the block beginning saves 50% of the space used by `offs`.

The documentation for this struct was generated from the following file:

- src/kdumpfile/lkcd.c